Download it now!
Bug 132093 - Editing snap lines: dialog decreases entered values when drawing scale is 1:many
Summary: Editing snap lines: dialog decreases entered values when drawing scale is 1:many
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Stephan Bergmann
URL:
Whiteboard: target:7.1.0 target:7.0.0.1 target:6.4.5
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Snap-Dialog
  Show dependency treegraph
 
Reported: 2020-04-14 07:53 UTC by Mike Kaganski
Modified: 2020-06-24 23:02 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Kaganski 2020-04-14 07:53:34 UTC
1. In new draw document (default page size, e.g. A4), set Options->Draw->General->Drawing scale to 1:100.
2. Add a horizontal snap line: Insert->Snap Guide; select Horizontal, and enter 100 cm in Y box, confirm: OK.
3. Right-click the added snap line, choose Edit Snap Line.

=> The value in the dialog is about 40.9 cm.

The edit dialog does not allow to modify it to 100 either. You only man do that manually dragging the line in the ui.

In fact, the dialog automatically changes the value above that when the focus changes: you may enter 100 in the dialog, then click Help button, and returning into the dialog, you will see the value "corrected".

This worked fine in Version: 6.1.5.2 (x64)
Build ID: 90f8dcf33c87b3705e78202e3df5142b201bd805
CPU threads: 12; OS: Windows 10.0; UI render: GL; 
Locale: ru-RU (ru_RU); Calc: group threaded

Does not work in Version: 6.4.3.1 (x64)
Build ID: 4d2b2b47cca498fed6abf712a36d0788901091eb
CPU threads: 12; OS: Windows 10.0 Build 18363; UI render: default; VCL: win; 
Locale: en-US (ru_RU); UI-Language: en-US
Calc: threaded

(Suspect a welding fallout.)
Comment 1 Buovjaga 2020-06-10 18:11:49 UTC
Bibisected with Linux 6.3 repo to https://git.libreoffice.org/core/+/bbab991c70e2a1867493d701168f49a0d0dcbd48%5E!/
Avoid -fsanitize=implicit-signed-integer-truncation in weld::MetricSpinButton

Adding Cc: to Stephan Bergmann
Comment 2 Commit Notification 2020-06-16 21:50:48 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/5e3ac497193794b4db22d23c8efa9065786d1b9f

tdf#132093: Take aUIScale into account again

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2020-06-17 05:54:58 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/cad5fe48d7a514daea6e5e413398fd42c70ce306

tdf#132093: Take aUIScale into account again

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2020-06-17 05:56:18 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/c086788c05dc389d1742e70cb552ac9cfdca172b

tdf#132093: Take aUIScale into account again

It will be available in 6.4.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Buovjaga 2020-06-17 10:44:51 UTC
Verified, thanks

Arch Linux 64-bit
Version: 7.1.0.0.alpha0+
Build ID: ad0351b84926075297fb74abbe9b31a0455782af
CPU threads: 8; OS: Linux 5.7; UI render: default; VCL: kf5
Locale: fi-FI (fi_FI.UTF-8); UI: en-US
Calc: threaded
Built on 17 June 2020
Comment 6 Commit Notification 2020-06-24 14:06:41 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "libreoffice-6-4-5":

https://git.libreoffice.org/core/commit/c968ba362412cc0d2abba56dedce21e2990d1dbc

tdf#132093: Take aUIScale into account again

It will be available in 6.4.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.